import AttributesExtractor from "./attributes-extractor";

describe('AttributesExtractor', () => {
  describe('extract', () => {
    it('extracts attributes from an element', () => {
      const element = document.createElement('div');
      
      element.setAttribute('width', '360');
      element.setAttribute('data-message', 'hello world');

      const attributes = new AttributesExtractor().extract(element);

      expect(attributes).toEqual({
        width: '360',
        'data-message': 'hello world'
      });
    });

    it('works on an element without attributes', () => {
      const element = document.createElement('div');
      const attributes = new AttributesExtractor().extract(element);

      expect(attributes).toEqual({});
    });
  });
});
