import 'mutationobserver-shim';
import '@webcomponents/shadydom';

import AttributesExtractor from './attributes-extractor';
import ReactDOM from 'react-dom';

const createWebComponent = (component) => {
  return class extends HTMLElement {
    connectedCallback() {
      const attributesExtractor = new AttributesExtractor();
      const shadowDom = this.attachShadow({ mode: 'open' });
      const attributes = attributesExtractor.extract(this);
      const componentWithProps = { ...component, props: attributes };

      ReactDOM.render(componentWithProps, shadowDom);
    }
  };
};

export default createWebComponent;
